package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpBidMaterialSupplierDTO {
   @ApiModelProperty("食堂ID")
   private Long canteenId;
   @ApiModelProperty("货品ID")
   private Long materialId;
   @ApiModelProperty("类别ID")
   private Long categoryId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("备选供应商列表")
   private String alternativeSupplier;
   @ApiModelProperty("货品IDList")
   private List<Long> materialIdList;
   @ApiModelProperty("类别IDList")
   private List<Long> categoryIdList;
   @ApiModelProperty("是否供应 1是 2否")
   private Integer ifSupply;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getAlternativeSupplier() {
      return this.alternativeSupplier;
   }

   public List<Long> getMaterialIdList() {
      return this.materialIdList;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Integer getIfSupply() {
      return this.ifSupply;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setAlternativeSupplier(final String alternativeSupplier) {
      this.alternativeSupplier = alternativeSupplier;
   }

   public void setMaterialIdList(final List<Long> materialIdList) {
      this.materialIdList = materialIdList;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setIfSupply(final Integer ifSupply) {
      this.ifSupply = ifSupply;
   }

   public String toString() {
      Long var10000 = this.getCanteenId();
      return "DrpBidMaterialSupplierDTO(canteenId=" + var10000 + ", materialId=" + this.getMaterialId() + ", categoryId=" + this.getCategoryId() + ", supplierId=" + this.getSupplierId() + ", alternativeSupplier=" + this.getAlternativeSupplier() + ", materialIdList=" + String.valueOf(this.getMaterialIdList()) + ", categoryIdList=" + String.valueOf(this.getCategoryIdList()) + ", ifSupply=" + this.getIfSupply() + ")";
   }
}
